Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ae
Class NewtonSolver

    java.lang.Object
      biouml.plugins.simulation.ae.NewtonSolver

public class NewtonSolver
extends java.lang.Object

Created by IntelliJ IDEA. User: sanya Date: Dec 3, 2004 Time: 3:24:24 AM To change this template use File | Settings | File Templates.

Constructor Summary
`NewtonSolver()`

Method Summary
`static double` | `calculateHalfNorm(double[] x, AeModel m)`
`static double[][]` | `jacobian(double[] x, double[] function, AeModel model)`
`static double` | `lineSearch(double[] xOld, double fOld, double[] gradient, double[] direction, double maxStep, double[] x, AeModel model, java.lang.Boolean check)`
`static void` | `luBackSubstitution(double[][] luDecomposition, int[] rowPermutation, double[] rightHandSide)`
`static int[]` | `luDecomposition(double[][] matrix)`
`static boolean` | `solve(double[] initialGuess, AeModel model)`
`static void` | `solveLinearEquationsSet(double[][] a, double[] rightHandSide)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewtonSolver

    public NewtonSolver()

Method Detail

### solve

    public static boolean solve(double[] initialGuess,
                                AeModel model)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### lineSearch

    public static double lineSearch(double[] xOld,
                                    double fOld,
                                    double[] gradient,
                                    double[] direction,
                                    double maxStep,
                                    double[] x,
                                    AeModel model,
                                    java.lang.Boolean check)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### luDecomposition

    public static int[] luDecomposition(double[][] matrix)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### luBackSubstitution

    public static void luBackSubstitution(double[][] luDecomposition,
                                          int[] rowPermutation,
                                          double[] rightHandSide)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### jacobian

    public static double[][] jacobian(double[] x,
                                      double[] function,
                                      AeModel model)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### calculateHalfNorm

    public static double calculateHalfNorm(double[] x,
                                           AeModel m)

### solveLinearEquationsSet

    public static void solveLinearEquationsSet(double[][] a,
                                               double[] rightHandSide)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.